Skip to main content
`Ctrl`+`K`

# MatGetRowUpperTriangular

Sets a flag to enable calls to `MatGetRow()` for matrix in `MATSBAIJ` format. You should call `MatRestoreRowUpperTriangular()` after calling`MatGetRow()` and `MatRestoreRow()` to disable the flag.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowUpperTriangular(Mat mat)

Not Collective

## Input Parameter

- mat - the matrix

## Note

The flag is to ensure that users are aware that `MatGetRow()` only provides the upper triangular part of the row for the matrices in `MATSBAIJ` format.

## See Also

Matrices, `Mat`, `MATSBAIJ`, `MatRestoreRowUpperTriangular()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Implementations

MatGetRowUpperTriangular_MPISBAIJ() in src/mat/impls/sbaij/mpi/mpisbaij.c
MatGetRowUpperTriangular_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages